org.wso2.carbon.dataservices.ui.beans

## Class Attribute

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Attribute

-     public class Attribute
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`
    `Attribute(String dataSourceType, String dataSourceValue, String name, String requiredRoles, String xsdType, String export, String exportType, String optional)`
    `Attribute(String dataSourceType, String dataSourceValue, String name, String requiredRoles, String xsdType, String export, String exportType, String arrayName, String optional)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `boolean` | `equals(Object o)`
    `String` | `getArrayName()`
    `String` | `getDataSourceType()`
    `String` | `getDataSourceValue()`
    `String` | `getExport()`
    `String` | `getExportType()`
    `String` | `getName()`
    `String` | `getOptional()`
    `int` | `hashCode()`
    `void` | `setArrayName(String arrayName)`
    `void` | `setDataSourceType(String dataSourceType)`
    `void` | `setDataSourceValue(String dataSourceValue)`
    `void` | `setExport(String export)`
    `void` | `setExportType(String exportType)`
    `void` | `setName(String name)`
    `void` | `setOptional(String optional)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute(String dataSourceType,
                           String dataSourceValue,
                           String name,
                           String requiredRoles,
                           String xsdType,
                           String export,
                           String exportType,
                           String optional)

    - #### Attribute

          public Attribute(String dataSourceType,
                           String dataSourceValue,
                           String name,
                           String requiredRoles,
                           String xsdType,
                           String export,
                           String exportType,
                           String arrayName,
                           String optional)

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

    - #### getArrayName

          public String getArrayName()

    - #### setArrayName

          public void setArrayName(String arrayName)

    - #### getDataSourceType

          public String getDataSourceType()

    - #### setDataSourceType

          public void setDataSourceType(String dataSourceType)

    - #### getDataSourceValue

          public String getDataSourceValue()

    - #### setDataSourceValue

          public void setDataSourceValue(String dataSourceValue)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getExport

          public String getExport()

    - #### setExport

          public void setExport(String export)

    - #### getExportType

          public String getExportType()

    - #### setExportType

          public void setExportType(String exportType)

    - #### getOptional

          public String getOptional()

    - #### setOptional

          public void setOptional(String optional)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019 WSO2. All rights reserved.